#
# spec file for package python-python-mimeparse
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
%{?sle15_python_module_pythons}
Name:           python-python-mimeparse
Version:        1.6.0
Release:        150400.12.3.1
Summary:        Basic functions for parsing and matching mime-type names
License:        MIT
URL:            https://github.com/dbtsai/python-mimeparse
Source:         https://files.pythonhosted.org/packages/source/p/python-mimeparse/python-mimeparse-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%ifpython2
Obsoletes:      %{oldpython}-mimeparse < 0.1.4
Provides:       %{oldpython}-mimeparse = %{version}
%endif
%python_subpackages

%description
This module provides basic functions for handling mime-types. It can handle
matching mime-types against a list of media-ranges. See section 14.1 of
the HTTP specification [RFC 2616] for a complete explanation.

%prep
%setup -q -n python-mimeparse-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec mimeparse_test.py

%files %{python_files}
%license LICENSE
%doc README.rst
%pycache_only %{python_sitelib}/__pycache__
%{python_sitelib}/mimeparse.py*
%{python_sitelib}/python_mimeparse-%{version}-py%{python_version}.egg-info

%changelog
* Fri Apr 21 2023 dmueller@suse.com
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 mcepl@suse.com
- Make calling of %%{sle15modernpython} optional.
* Mon Oct 14 2019 mcepl@suse.com
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Tue Aug 14 2018 tchvatal@suse.com
- Use %%license to install License file
* Sat May  6 2017 toddrme2178@gmail.com
- Fix Provides/Obsoletes.
* Sat Apr  1 2017 aloisio@gmx.com
- Updated to version 1.6.0
  * let acceptable types specify their quality (#26)
  * more readable formatting of test data
  * Run PyPy tests with pypy-5.4 on Travis (#30)
  * Ignore more dirs in flake8 tests (#31)
  * ignore .venv instead of venv
  * flake8 tweaks (#27)
  * ignore build/ and venv/ dirs
  version 1.5.4:
  * Release as a universal wheel (#28)
  * Remove __init__.py (#29)
  version 1.5.3:
  * extra test based on RFC 7231 page 38
  * cleaner code for quality_and_fitness_parsed
  * more readable testdata.json
  * readme tweaks
  * setup.py sanity check + pep8 tweaks to mimeparse.py
  * setup.py + README tidying (#22)
  * Document return types (#24)
  * Add pypy3 to test matrix
  * update download_url (fixes #18)
- Converted to single-spec
* Tue Nov 15 2016 dmueller@suse.com
- update to 1.5.2
* Tue Apr 30 2013 speilicke@suse.com
- Add LICENSE to documentation
* Mon Apr 29 2013 dmueller@suse.com
- update to 0.1.4:
  * no changelog available
- rename to proper package name
* Wed Mar 21 2012 saschpe@gmx.de
- Initial version
